<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">

    <div class="form-group">
        <label for="{val.vars.id}">{val.vars.label -> f:format.raw()}</label>
        <f:if condition="{val.vars.attr.constraints}">
            <f:then>
                <f:if condition="{val.vars.attr.constraints.maxSize} && {val.vars.attr.constraints.mimeTypes}">
                    <f:then>
                        <f:form.upload class="form-control form-control-file" name="{val.vars.name}" id="{val.vars.id}"
                                       additionalAttributes="{data-max-size: '{val.vars.attr.constraints.maxSize}', data-max-size-h: '{val.vars.attr.constraints.maxSizeString}', data-mime-types: '{val.vars.attr.constraints.mimeTypes}'}" />
                    </f:then>
                    <f:else>
                        <f:if condition="{val.vars.attr.constraints.maxSize}">
                            <f:then>
                                <f:form.upload class="form-control form-control-file" name="{val.vars.name}" id="{val.vars.id}"
                                               additionalAttributes="{data-max-size: '{val.vars.attr.constraints.maxSize}', data-max-size-h: '{val.vars.attr.constraints.maxSizeString}'}" />
                            </f:then>
                            <f:else>
                                <f:form.upload class="form-control form-control-file" name="{val.vars.name}" id="{val.vars.id}"
                                               additionalAttributes="{data-mime-types: '{val.vars.attr.constraints.mimeTypes}'}" />
                            </f:else>
                        </f:if>
                    </f:else>
                </f:if>
            </f:then>
            <f:else>
                <f:form.upload class="form-control form-control-file" name="{val.vars.name}" id="{val.vars.id}" />
            </f:else>
        </f:if>
        <v:security.allow anyBackendUser="TRUE">
            <span style="position: absolute;top: 5px;right: 0px;">
                <span class="badge badge-info">session: '{val.vars.attr.session}'</span>
            </span>
        </v:security.allow>
        <f:render partial="Render/Fields/Attributes/Help" arguments="{val: val}" />
        <div class="invalid-feedback file-invalid-feedback" id="invalid-feedback-{val.vars.id}"></div>
    </div>

</html>
